/*
 * $Id: Translation.cpp 82 2008-05-01 16:48:45Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "../include/Translation.h"
#include "../include/ErrorMorpheo.h"

namespace morpheo {

  Translation:: Translation (void)
  {
#ifndef NO_TRANSLATION
    char * top_level = getenv("MORPHEO_TOPLEVEL");
    
    if (top_level == NULL)
      throw ERRORMORPHEO("Translation","Error morpheo environment is not positioned\n");
  
    std::string dirname = top_level;
    dirname += "IPs/systemC/processor/Morpheo/locale";

    bindtextdomain(MORPHEO_PACKAGE,dirname.c_str());
#endif    
  }

  Translation::~Translation (void)
  {

  }

}; // end namespace morpheo
